.\" -*- nroff -*-
.\"
.\" Copyright (c) 1996 Doug Rabson
.\"
.\" All rights reserved.
.\"
.\" This program is free software.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man9/VFS_SYNC.9,v 1.1.2.2 1999/09/05 11:27:12 peter Exp $
.\"
.Dd July 24, 1996
.Os
.Dt VFS_SYNC 9
.Sh NAME
.Nm VFS_SYNC
.Nd flush unwritten data
.Sh SYNOPSIS
.Fd #include <sys/mount.h>
.Fd #include <sys/vnode.h>
.Ft int
.Fn VFS_SYNC "struct mount *mp" "int waitfor" "struct ucred *cred" "struct proc *p"
.Sh DESCRIPTION
This writes out all unwritten data in a filesystem.
.Pp
Its arguments are:
.Bl -tag -width waitfor
.It Ar mp
The filesystem.
.It Ar waitfor
Whether the function should wait for I/O to complete.
.It Ar cred
The caller's credentials.
.It Ar p
The calling process.
.El
.Pp
This would normally call
.Xr VOP_FSYNC 9
for all the vnodes in the filesystem.
.Sh SEE ALSO
.Xr vnode 9 ,
.Xr VFS 9 ,
.Xr VOP_FSYNC 9 ,
.Xr sync 2 ,
.Xr fsync 2
.Sh AUTHORS
This man page was written by Doug Rabson.

